<?php
/**
* @Cinema - Un componente per Joomla
* @package Component for Joomla
* @subpackage admin.cinema.php
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* @Renew & fork by Vamba & Luscarpa
* Ispirato e basato su
**/
/**
* AkoGallery - A Mambo Gallery Component
* (C)opyright 2003,2004 by Arthur Konze
* Homepage   : www.mamboportal.com
* Version    : 3.0 beta 3
* License    : Copyright, don't distribute
* Translator : Arthur Konze
* Homepage   : www.konze.de
**/

defined( '_VALID_MOS' ) or die( 'Accesso diretto non permesso.' );
require_once( $mainframe->getPath( 'class' ) );
require_once( $mainframe->getPath( 'admin_html' ) );
$id = mosGetParam($_REQUEST,"id",null);

switch ($task) {
  case "about":
    showAbout();
    break;

  case "upgrade":
    include($mosConfig_absolute_path."/administrator/components/com_cinema/admin_upgrade.php");
    break;

  case "files":
    showPicturefiles( $option );
    break;

  case "language":
    showLanguage($option);
    break;

  case "savefile":
    saveLanguage($file, $filecontent, $option);
    break;

  case "orderup":
    orderPicture( $id[0], -1, $option );
    break;

  case "orderdown":
    orderPicture( $id[0], 1, $option );
    break;

  case "publish":
    publishPicture( $id, 1, $option );
    break;

  case "unpublish":
    publishPicture( $id, 0, $option );
    break;

  case "new":
    editPicture( $option, 0 );
    break;

  case "edit":
    editPicture( $option, $id[0] );
    break;

   case 'editA':
	editPicture( $option, $id );
	break;

  case "remove":
    removePicture( $id, $option );
    break;

  case "save":
    savePicture( $option );
    break;

  case "comments":
    showComments( $option );
    break;

  case "publishcmt":
    publishComment( $id, 1, $option );
    break;

  case "unpublishcmt":
    publishComment( $id, 0, $option );
    break;

  case "removecmt":
    removeComment( $id, $option );
    break;

  case "upload":
    showUpload( $option );
    break;

  case "uploadhandler":
    require_once($mosConfig_absolute_path."/administrator/components/com_cinema/config.cinema.php");
    echo "<img src='components/com_cinema/images/logo.jpg' /><p />";
    if (strlen($screenshot) > 0 and $screenshot != "none")
      copy ($screenshot, $mosConfig_absolute_path.$cin_pathimages."/$screenshot_name");
    if ($thumbcreation)
      resize_image($mosConfig_absolute_path.$cin_pathimages."/$screenshot_name", $mosConfig_absolute_path.$cin_paththumbs."/tn_$screenshot_name", "$cin_thumbwidth", "$cin_thumbcreation", "$cin_thumbquality");
    mosRedirect( "index2.php?option=com_cinema&task=files" );
    break;

  case "thumbengine":
    require_once($mosConfig_absolute_path."/administrator/components/com_cinema/config.cinema.php");
    foreach($cid as $choosenfile) {
      if (!file_exists( $mosConfig_absolute_path.$cin_paththumbs."/tn_$choosenfile" )) {
        resize_image($mosConfig_absolute_path.$cin_pathimages."/$choosenfile", $mosConfig_absolute_path.$cin_paththumbs."/tn_$choosenfile", "$cin_thumbwidth", "$cin_thumbcreation", "$cin_thumbquality");
      }
    }
    mosRedirect( "index2.php?option=com_cinema&task=files" );
    break;

  case "removefiles":
    require_once($mosConfig_absolute_path."/administrator/components/com_cinema/config.cinema.php");
    foreach($cid as $choosenfile) {
      unlink("$mosConfig_absolute_path$cin_pathimages/$choosenfile");
      if (file_exists( $mosConfig_absolute_path.$cin_paththumbs."/tn_$choosenfile" )) {
        unlink("$mosConfig_absolute_path$cin_paththumbs/tn_$choosenfile");
      }
    }
    mosRedirect( "index2.php?option=com_cinema&task=files" );
    break;

  case "settings":
    showConfig( $option );
    break;

  case "savesettings":
    saveConfig ($option, $cin_pathimages, $cin_paththumbs, $cin_thumbcreation, $cin_thumbwidth,
    $cin_thumbquality, $cin_showdetail, $cin_showrating, $cin_showcomment, $cin_anoncomment,
    $cin_perpage, $cin_maxvoting, $cin_toplist, $cin_bbcodesupport, $cin_testolista,
    $cin_cinema, $cin_cinema2, $cin_cinema3, $cin_cinema4, $cin_blockquote, $cin_legendtitle,
    $cin_legend, $cin_fieldset, $cin_header, $cin_line, $cin_line1, $cin_dateformat, $cin_altri,
    $cin_altri1, $cin_acaso, $cin_locandina, $cin_inarrivo, $cin_inarrivo1, $cin_inarrivo2,
    $cin_inarrivocount, $cin_inarrivocinemacount, $cin_inarrivotitolo, $cin_keywords, $cin_description);
    break;

  default:
    showPictures( $option );
    break;
}
echo "<p><font class='small'><strong>Cinema V1.0</strong> By <a href='http://www.joomlaitalia.com/' target='_blank'>Vamba</a> & <a href='http://www.webagain.net/' target='_blank'>Luscarpa</a> - &copy Copyright 2006</font></p>";


function showAbout() {
  global $CINEMA;
  HTML_cinema::showAbout();
}


function showPicturefiles( $option ) {
  global $mainframe, $mosConfig_absolute_path, $mosConfig_live_site, $cin_paththumbs;
  require_once($mosConfig_absolute_path."/administrator/components/com_cinema/config.cinema.php");

  # Set up the pagination
  $limit             = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
  $limitstart        = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );

  # Prepare table row stuff
  $rowid             = 0;
  $rows              = array();

  # Get the pictures and thumbs into array
  $picfiledir        = mosPathName($mosConfig_absolute_path.$cin_pathimages);
  $filesinpicdir     = mosReadDirectory($picfiledir);
  $thumbfiledir      = mosPathName($mosConfig_absolute_path.$cin_paththumbs);
  $filesinthumbdir   = mosReadDirectory($thumbfiledir);

  # Compile the row array for list view
  foreach($filesinpicdir as $picfile) {
    list($width, $height, $type, $attr) = getimagesize("$mosConfig_absolute_path$cin_pathimages/$picfile");
    #echo $mosConfig_absolute_path.$cin_paththumbs."/".$picfile."<br>";
    $row = new StdClass();
    $row->id         = $rowid;
    $row->filename   = $picfile;
    $row->livepath   = $mosConfig_live_site.$cin_pathimages."/".$picfile;
    $row->thumbname  = in_array("tn_".$picfile,$filesinthumbdir);
    $row->width      = $width;
    $row->height     = $height;
    $row->type       = $type;
    $row->attr       = $attr;
    $row->indatabase = 0;
    $rows[]          = $row;
    $rowid++;
  }

  # Prepare the row array for pagnation
  require_once($mosConfig_absolute_path."/administrator/includes/pageNavigation.php");
  $pageNav           = new mosPageNav( count( $rows ), $limitstart, $limit );
  $rows              = array_slice( $rows, $pageNav->limitstart, $pageNav->limit );

  HTML_cinema::showPicturefiles( $rows, $pageNav, $option );
}


function showLanguage($option) {
 global $CINEMA;
  global $mosConfig_absolute_path, $mosConfig_lang;

  if (file_exists($mosConfig_absolute_path.'/components/com_cinema/languages/'.$mosConfig_lang.'.php')) {
    $file = $mosConfig_absolute_path.'/components/com_cinema/languages/'.$mosConfig_lang.'.php';
  } else {
    $file = $mosConfig_absolute_path.'/components/com_cinema/languages/english.php';
  }
  @chmod ($file, 0766);
  $permission = is_writable($file);
  if (!$permission) {
    echo "<center><h1><font color=red><?php echo $CINEMA->ADMCINEMA_COMANDO001; ?></font></h1><br />";
    echo "<strong><?php echo $CINEMA->ADMCINEMA_COMANDO002; ?></strong></center><br />";
  }

  HTML_cinema::showFile($file,$option);
}

function saveLanguage($file, $filecontent, $option) {
 global $CINEMA;
  @chmod ($file, 0766);
  $permission = is_writable($file);
  if (!$permission) {
    mosRedirect("index2.php?option=$option&task=language", $CINEMA->ADMCINEMA_COMANDO003 );
    break;
  }

  if ($fp = fopen( $file, "w")) {
    fputs($fp,stripslashes($filecontent));
    fclose($fp);
    mosRedirect( "index2.php?option=$option&task=language", $CINEMA->ADMCINEMA_COMANDO004 );
  }
}


function showPictures( $option ) {
  	global $database, $mainframe, $mosConfig_list_limit, $CINEMA;

  	$catid 		= $mainframe->getUserStateFromRequest( "catid{$option}", 'catid', 0 );
  	$limit 		= $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
  	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
  	$search 	= $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
  	$search 	= $database->getEscaped( trim( strtolower( $search ) ) );

  	$where = array();

  	if ($catid > 0) {
  		$where[] = "a.catid = $catid";
  	}
  	if ($search) {
    $where[] = "LOWER(imgtitle) LIKE '%$search%' OR LOWER(imgtext) LIKE '%$search%' ";
	}

	// get the total number of records
	$query = "SELECT COUNT(*)"
	. "\n FROM #__cinema AS a"
	. (count( $where ) ? "\n WHERE " . implode( ' AND ', $where ) : "")
	;
	$database->setQuery( $query );
	$total = $database->loadResult();

	require_once( $GLOBALS['mosConfig_absolute_path'] . '/administrator/includes/pageNavigation.php' );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );

		$query = "SELECT a.*, cc.name AS category"
		. "\n FROM #__cinema AS a"
		. "\n LEFT JOIN #__categories AS cc ON cc.id = a.catid"
		. ( count( $where ) ? "\n WHERE " . implode( ' AND ', $where ) : "")
		. "\n ORDER BY a.catid, a.ordering"
		. "\n LIMIT $pageNav->limitstart, $pageNav->limit"
		;
		$database->setQuery( $query );
		//echo $database->getQuery();
		$rows = $database->loadObjectList();
		if ($database->getErrorNum()) {
			echo $database->stderr();
			return false;
		}

		// build list of categories
		$javascript 	= 'onchange="document.adminForm.submit();"';
		$lists['catid'] = mosAdminMenus::ComponentCategory( 'catid', $option, intval( $catid ), $javascript );

  # Get the list of categories
  $categories[] = mosHTML::makeOption( '0', $CINEMA->ADMCINEMA_SCEGLI001 );
  $categories[] = mosHTML::makeOption( '-1', $CINEMA->ADMCINEMA_SCEGLI004 );
  $database->setQuery( "SELECT id AS value, title AS text FROM #__categories"
    . "\nWHERE section='com_cinema' ORDER BY name" );
  $categories = array_merge( $categories, $database->loadObjectList() );
  $clist = mosHTML::selectList( $categories, 'catid', 'class="inputbox" size="1" onchange="document.adminForm.submit();"', 'value', 'text', $catid );

  # Set up page navigation
  include_once( "includes/pageNavigation.php" );
  $pageNav = new mosPageNav( $total, $limitstart, $limit  );

  # Bring it all to the screen
  HTML_cinema::showPictures( $option, $rows, $clist, $search, $pageNav );
}

function removePicture( $cid, $option ) {
  global $database;
  if (!is_array( $cid ) || count( $cid ) < 1) {
    echo "<script> alert('Seleziona un oggetto da cancellare'); window.history.go(-1);</script>\n";
    exit;
  }
  if (count( $cid )) {
    $cids = implode( ',', $cid );
    $database->setQuery( "DELETE FROM #__cinema WHERE id IN ($cids)" );
    if (!$database->query()) {
      echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
    }
  }
  mosRedirect( "index2.php?option=$option" );
}

function publishPicture( $cid=null, $publish=1,  $option ) {
  global $database;
  if (!is_array( $cid ) || count( $cid ) < 1) {
    $action = $publish ? 'pubblicare' : 'sospendere';
    echo "<script> alert('Seleziona un oggetto da $action'); window.history.go(-1);</script>\n";
    exit;
  }
  $cids = implode( ',', $cid );
  $database->setQuery( "UPDATE #__cinema SET published='$publish' WHERE id IN ($cids)" );
  if (!$database->query()) {
    echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
    exit();
  }
  mosRedirect( "index2.php?option=$option" );
}

function editPicture( $option, $uid ) {
  global $database, $mosConfig_absolute_path, $CINEMA;
  require_once($mosConfig_absolute_path."/administrator/components/com_cinema/config.cinema.php");
  $lists = array();
  # oop database connector
  $row = new mosCinema( $database );
  # load the row from the db table
  $row->load( $uid );
  # check for categories and compile to dropdown menu
  $categories[] = mosHTML::makeOption( '0', $CINEMA->ADMCINEMA_SCEGLI001);
  $database->setQuery( "SELECT id AS value, name AS text FROM #__categories WHERE section='$option' ORDER BY name" );
	$database->query();
  $categories = array_merge( $categories, $database->loadObjectList() );
  if (count( $categories ) < 1) mosRedirect( "index2.php?option=categories&section=$option", $CINEMA->ADMCINEMA_UNACATEGORIA );
  $lists['catid'] = mosHTML::selectList( $categories, 'catid', 'class="inputbox" size="1"', 'value', 'text', intval( $row->catid ) );
  # Create Picture List
  $imgFiles = mosReadDirectory( "$mosConfig_absolute_path$cin_pathimages" );
  $images = array( mosHTML::makeOption( '', $CINEMA->ADMCINEMA_SCEGLI002) );
  foreach ($imgFiles as $file) {
    if (eregi( "bmp|gif|jpg|png", $file )) {
      $images[] = mosHTML::makeOption( $file );
    }
  }
  $imagelist = mosHTML::selectList( $images, 'imgfilename', "class=\"inputbox\" size=\"1\""
  . " onchange=\"javascript:if (document.forms[0].imgfilename.options[selectedIndex].value!='') {document.imagelib2.src='..$cin_pathimages/' + document.forms[0].imgfilename.options[selectedIndex].value} else {document.imagelib2.src='../images/M_images/blank.png'}\"",
  'value', 'text', $row->imgfilename );
  # Create Thumbail List
  $thuFiles = mosReadDirectory( "$mosConfig_absolute_path$cin_paththumbs" );
  $thumbs = array( mosHTML::makeOption( '', $CINEMA->ADMCINEMA_SCEGLI003) );
  foreach ($thuFiles as $tfile) {
    if (eregi( "bmp|gif|jpg|png", $tfile )) {
      $thumbs[] = mosHTML::makeOption( $tfile );
    }
  }
  $thumblist = mosHTML::selectList( $thumbs, 'imgthumbname', "class=\"inputbox\" size=\"1\""
  . " onchange=\"javascript:if (document.forms[0].imgthumbname.options[selectedIndex].value!='') {document.imagelib.src='..$cin_paththumbs/' + document.forms[0].imgthumbname.options[selectedIndex].value} else {document.imagelib.src='../images/M_images/blank.png'}\"",
  'value', 'text', $row->imgthumbname );
  # Prepare dates for publishing
  if ($uid) {
    if (trim( $row->publish_down ) == "0000-00-00 00:00:00") {
      $row->publish_down = $CINEMA->ADMCINEMA_NESSUNA;
    }
  } else {
    $row->published = 0;
    $row->ordering = 9999;
    $row->imgdate = date( "Y-m-d", time() );
    $row->publish_up = date( "Y-m-d", time() );
    $row->publish_down = $CINEMA->ADMCINEMA_NESSUNA;
  }
  # Build up list for ordering
  if ($uid) {
    $order = mosGetOrderingList( "SELECT ordering AS value, imgtitle AS text"
      . "\nFROM #__cinema"
      . "\nWHERE catid='$row->catid' ORDER BY ordering"
    );
    $lists['ordering'] = mosHTML::selectList( $order, 'ordering', 'class="inputbox" size="1"', 'value', 'text', intval( $row->ordering ) );
  } else {
    $lists['ordering'] = "<input type=\"hidden\" name=\"ordering\" value=\"$row->ordering\" />"
    . "I nuovi titoli inseriti vanno in ultima posizione.";
  }
  HTML_cinema::editPicture( $option, $row, $lists, $imagelist, $thumblist, $cin_pathimages, $cin_paththumbs );
}

function savePicture( $option ) {
  global $database;
  $row = new mosCinema( $database );
  if (!$row->bind( $_POST )) {
    echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
    exit();
  }
  if (!$row->store()) {
    echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
    exit();
  }
  $row->updateOrder( "catid='$row->catid' AND published >= 0" );
  mosRedirect( "index2.php?option=$option" );
}

function orderPicture( $uid, $inc, $option ) {
  global $database;
  $row = new mosCinema( $database );
  $row->load( $uid );
  $row->move( $inc, "published >= 0" );
  mosRedirect( "index2.php?option=$option" );
}


function resize_image($src_file, $dest_file, $new_size, $method, $dest_qual)
{
  $imagetype = array( 1 => 'GIF', 2 => 'JPG', 3 => 'PNG', 4 => 'SWF', 5 => 'PSD', 6 => 'BMP', 7 => 'TIFF', 8 => 'TIFF', 9 => 'JPC', 10 => 'JP2', 11 => 'JPX', 12 => 'JB2', 13 => 'SWC', 14 => 'IFF');
  $imginfo = getimagesize($src_file);

  if ($imginfo == null) die("ERRORE: Source file not found!");

  $imginfo[2] = $imagetype[$imginfo[2]];

  // GD can only handle JPG & PNG images
  if ($imginfo[2] != 'JPG' && $imginfo[2] != 'PNG' && ($method == 'gd1' || $method == 'gd2')) die("ERROR: GD can only handle JPG and PNG files!");

  // height/width
  $srcWidth = $imginfo[0];
  $srcHeight = $imginfo[1];

  echo "Creating thumbnail from $imginfo[2], $imginfo[0] x $imginfo[1]...<br>";

  $ratio = max($srcWidth, $srcHeight) / $new_size;
  $ratio = max($ratio, 1.0);
  $destWidth = (int)($srcWidth / $ratio);
  $destHeight = (int)($srcHeight / $ratio);

  // Method for thumbnails creation
  switch ($method) {

  case "gd1" :
    if (!function_exists('imagecreatefromjpeg')) {
        die('GD image library not installed!');
    }
    if ($imginfo[2] == 'JPG')
      $src_img = imagecreatefromjpeg($src_file);
    else
      $src_img = imagecreatefrompng($src_file);
    if (!$src_img){
      $ERROR = $lang_errors['invalid_image'];
      return false;
    }
    $dst_img = imagecreate($destWidth, $destHeight);
    imagecopyresized($dst_img, $src_img, 0, 0, 0, 0, $destWidth, (int)$destHeight, $srcWidth, $srcHeight);
    imagejpeg($dst_img, $dest_file, $dest_qual);
    imagedestroy($src_img);
    imagedestroy($dst_img);
    break;

  case "gd2" :
    if (!function_exists('imagecreatefromjpeg')) {
        die('GD image library not installed!');
    }
    if (!function_exists('imagecreatetruecolor')) {
        die('GD2 image library does not support truecolor thumbnailing!');
    }
    if ($imginfo[2] == 'JPG')
      $src_img = imagecreatefromjpeg($src_file);
    else
      $src_img = imagecreatefrompng($src_file);
    if (!$src_img){
      $ERROR = $lang_errors['invalid_image'];
      return false;
    }
    $dst_img = imagecreatetruecolor($destWidth, $destHeight);
    imagecopyresampled($dst_img, $src_img, 0, 0, 0, 0, $destWidth, (int)$destHeight, $srcWidth, $srcHeight);
    imagejpeg($dst_img, $dest_file, $dest_qual);
    imagedestroy($src_img);
    imagedestroy($dst_img);
    break;
  }

  // Set mode of uploaded picture
  chmod($dest_file, octdec('755'));

  // We check that the image is valid
  $imginfo = getimagesize($dest_file);
  if ($imginfo == null){
    return false;
  } else {
    return true;
  }
}

function showUpload( $option ) {
	global $CINEMA;
  echo "<table cellpadding='4' cellspacing='0' border='0' width='100%'><tr><td width='10%' class='sectionname'><img src='components/com_cinema/images/logo.jpg'></td><td width='100%' class='sectionname'>$CINEMA->ADMCINEMA_CARICALOCAND</td></tr></table>";
  echo "<form action='index2.php?task=uploadhandler' method='post' name='adminForm' enctype='multipart/form-data'>";
  echo "<table width='100%' border='0' cellpadding='4' cellspacing='2' class='adminForm'>";
  echo "<tr align='center' valign='middle'><td align='center' valign='top'>";
  echo "$CINEMA->ADMCINEMA_CREAMINIATURE2<br />";
  echo "<input type='hidden' name='option' value='$option' />";
  echo "<input type='file' name='screenshot' /><br />";
  echo "<input type='checkbox' name='thumbcreation' value='ON' checked />$CINEMA->ADMCINEMA_CREAMINIATURE<br />";
  echo "<input type='submit' value='$CINEMA->ADMCINEMA_UPLOAD' />";
  echo "</td></tr></table></form>";
}

function showConfig( $option ) {
  global $mosConfig_absolute_path, $act, $CINEMA;
  require($mosConfig_absolute_path."/administrator/components/com_cinema/config.cinema.php");
?>
    <script language="javascript" type="text/javascript">
    function submitbutton(pressbutton) {
      var form = document.adminForm;
      if (pressbutton == 'cancel') {
        submitform( pressbutton );
        return;
      }
      if (form.cin_pathimages.value == ""){
        alert( "<?php echo $CINEMA->ADMCINEMA_MANCAPATHMIMMAGINE; ?>" );
      } else if (form.cin_paththumbs.value == ""){
        alert( "<?php echo $CINEMA->ADMCINEMA_MANCAPATHMINIATURA; ?>" );
      } else {
        submitform( pressbutton );
      }
    }
    </script>

  <form action="index2.php" method="POST" name="adminForm">
  <table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr>
    <td width="10%" class="sectionname">
      <img src="components/com_cinema/images/logo.jpg">
    </td>
	<td width="100%" class="sectionname"><?php echo $CINEMA->ADMCINEMA_CONFIG; ?></td>
  </tr>
  </table>
	<?php
  	$cinema1tabs = new mosTabs( 0 );
	$cinema1tabs->startPane("content-pane");
	$cinema1tabs->startTab($CINEMA->ADMCINEMA_BACKEND,"backe-page");
	?>

	<!-- ******************************* INIZIO BACK PAGE ********************************************* -->

  <div>
	<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
		<tr><th colspan="3"><?php echo $CINEMA->ADMCINEMA_SET001; ?></th></tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_PATHLOCANDINE; ?></strong></td>
      <?php echo "<td width='20%' align='left' valign='top'><input type='text' name='cin_pathimages' value='$cin_pathimages'></td>"; ?>
      <td width="60%" align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_PATHLOCANDINE2; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_PATHMINIATURE; ?></strong></td>
      <?php echo "<td width='20%' align='left' valign='top'><input type='text' name='cin_paththumbs' value='$cin_paththumbs'></td>"; ?>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_PATHMINIATURE2; ?></td>
    </tr>
   	<th  colspan="3">
       <div align="left"><?php echo $CINEMA->ADMCINEMA_SET002; ?></div>
    </th>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_CREZMINIAT; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $thumbcreator[] = mosHTML::makeOption( 'none', $CINEMA->ADMCINEMA_NONE );
        $thumbcreator[] = mosHTML::makeOption( 'gd1', $CINEMA->ADMCINEMA_GD );
        $thumbcreator[] = mosHTML::makeOption( 'gd2', $CINEMA->ADMCINEMA_GD2 );
        $mc_cin_thumbcreation = mosHTML::selectList( $thumbcreator, 'cin_thumbcreation', 'class="inputbox" size="1"', 'value', 'text', $cin_thumbcreation );
        echo $mc_cin_thumbcreation;
      ?>
      </td>
      <td align="left" valign="top">
        <?php
          echo "$CINEMA->ADMCINEMA_CREZMINIAT2 <br />";
          # GD detection
          $GDfuncList = get_extension_funcs('gd');
          ob_start();
          @phpinfo(INFO_MODULES);
          $output=ob_get_contents();
          ob_end_clean();
          $matches[1]='';
          if (preg_match("/GD Version[ \t]*(<[^>]+>[ \t]*)+([^<>]+)/s",$output,$matches)) {
            $gdversion = $matches[2];
          }
          if ($GDfuncList) {
            echo "<span class='small'>$CINEMA->ADMCINEMA_FOUNDGD GD $gdversion</span><br />";
          }
        ?>
      </td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_LARGMINIAT; ?></strong></td>
      <?php echo "<td width='20%' align='left' valign='top'><input type='text' size='5' name='cin_thumbwidth' value='$cin_thumbwidth'></td>"; ?>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_LARGMINIAT2; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_QUALMINAT; ?></strong></td>
      <?php echo "<td width='20%' align='left' valign='top'><input type='text' size='5' name='cin_thumbquality' value='$cin_thumbquality'></td>"; ?>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_QUALMINAT2; ?></td>
    </tr>
  </table>
  </div>

	<!-- ******************************* FINE BACK PAGE ********************************************* -->

	<?php
		$cinema1tabs->endTab();
		$cinema1tabs->startTab($CINEMA->ADMCINEMA_FRONTEND,"front-page");
	?>

	<!-- ******************************* INIZIO FRONT PAGE ********************************************* -->

  <div>
	<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
		<tr><th colspan="3"><?php echo $CINEMA->ADMCINEMA_SET001; ?></th></tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_DETTAGLI; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $shid[] = mosHTML::makeOption( '0',$CINEMA->ADMCINEMA_HIDEBOX);
        $shid[] = mosHTML::makeOption( '1',$CINEMA->ADMCINEMA_SHOWBOX);
        $si_cin_showdetail = mosHTML::selectList( $shid, 'cin_showdetail', 'class="inputbox" size="1"', 'value', 'text', $cin_showdetail );
        echo $si_cin_showdetail;
      ?>
      </td>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_DETTAGLI2; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_FILMPAGINA; ?></strong></td>
      <?php echo "<td align='left' valign='top'><input type='text' size='4' name='cin_perpage' value='$cin_perpage'></td>"; ?>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_FILMPAGINA2; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_TOPLIST; ?></strong></td>
      <?php echo "<td align='left' valign='top'><input type='text' size='4' name='cin_toplist' value='$cin_toplist'></td>"; ?>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_TOPLIST2; ?></td>
    </tr>
   	<th  colspan="3">
       <div align="left"><?php echo $CINEMA->ADMCINEMA_SET003; ?></div>
    </th>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_VOTI; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yesno[] = mosHTML::makeOption( '0',$CINEMA->ADMCINEMA_NO);
        $yesno[] = mosHTML::makeOption( '1',$CINEMA->ADMCINEMA_YES);
        $yn_cin_showrating = mosHTML::selectList( $yesno, 'cin_showrating', 'class="inputbox" size="1"', 'value', 'text', $cin_showrating );
        echo $yn_cin_showrating;
      ?>
      </td>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_VOTI2; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_VOTI3; ?></strong></td>
      <?php echo "<td align='left' valign='top'><input type='text' size='4' name='cin_maxvoting' value='$cin_maxvoting'></td>"; ?>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_VOTI4; ?></td>
    </tr>
   	<th  colspan="3">
       <div align="left"><?php echo $CINEMA->ADMCINEMA_SET004; ?></div>
    </th>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_COMMENTI; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_cin_showcomment = mosHTML::selectList( $yesno, 'cin_showcomment', 'class="inputbox" size="1"', 'value', 'text', $cin_showcomment );
        echo $yn_cin_showcomment;
      ?>
      </td>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_COMMENTI2; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_COMMENTI3; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_cin_anoncomment = mosHTML::selectList( $yesno, 'cin_anoncomment', 'class="inputbox" size="1"', 'value', 'text', $cin_anoncomment );
        echo $yn_cin_anoncomment;
      ?>
      </td>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_COMMENTI4; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_BBCODE; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_cin_bbcodesupport = mosHTML::selectList( $yesno, 'cin_bbcodesupport', 'class="inputbox" size="1"', 'value', 'text', $cin_bbcodesupport );
        echo $yn_cin_bbcodesupport;
      ?>
      </td>
      <td align="left" valign="top"><?php echo $CINEMA->ADMCINEMA_BBCODE2; ?></td>
    </tr>
  </table>
  </div>

	<!-- ******************************* FINE FRONT PAGE ********************************************* -->

	<?php
		$cinema1tabs->endTab();
		$cinema1tabs->startTab($CINEMA->ADMCINEMA_LAYOUT,"layout-page");
	?>

	<!-- ******************************* INIZIO LAYOUT PAGE ********************************************* -->

	<div>
  <table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
		<tr><th colspan="2"><?php echo $CINEMA->ADMCINEMA_SET005; ?></th></tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_BOX001; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $si_cin_anoncomment = mosHTML::selectList( $shid, 'cin_altri', 'class="inputbox" size="1"', 'value', 'text', $cin_altri );
        echo $si_cin_anoncomment;
      ?>
		<?php echo $CINEMA->ADMCINEMA_BOX002; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="30%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_NUMBOX001; ?></strong></td>
      <?php echo "<td align='left' width='70%' valign='top'><input type='text' size='4' maxlength='4' name='cin_altri1' value='$cin_altri1'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_NUMBOX002; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_BOX003; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $si_cin_anoncomment = mosHTML::selectList( $shid, 'cin_acaso', 'class="inputbox" size="1"', 'value', 'text', $cin_acaso );
        echo $si_cin_anoncomment;
      ?>
		<?php echo $CINEMA->ADMCINEMA_BOX004; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_BOX005; ?></strong></td>
      <td align="left" valign="top">
      <?php
        $si_cin_anoncomment = mosHTML::selectList( $shid, 'cin_inarrivo', 'class="inputbox" size="1"', 'value', 'text', $cin_inarrivo );
        echo $si_cin_anoncomment;
      ?>
		<?php echo $CINEMA->ADMCINEMA_BOX006; ?></td>
    </tr>
    <tr align="center" valign="middle">
	   <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_BOX007; ?></strong></td>
	   <td align="left" valign="top">
	   <?php
	     $si_cin_anoncomment = mosHTML::selectList( $shid, 'cin_inarrivo1', 'class="inputbox" size="1"', 'value', 'text', $cin_inarrivo1 );
	     echo $si_cin_anoncomment;
	  ?>
		<?php echo $CINEMA->ADMCINEMA_BOX008; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="30%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_NFILMARRIVO; ?></strong></td>
      <?php echo "<td align='left' width='70%' valign='top'><input type='text' size='4' maxlength='4' name='cin_inarrivocinemacount' value='$cin_inarrivocinemacount'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_NFILMARRIVO2; ?></td>
    </tr>
    <tr align="center" valign="middle">
	   <td align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_BOX009; ?></strong></td>
	   <td align="left" valign="top">
	  <?php
	     $si_cin_anoncomment = mosHTML::selectList( $shid, 'cin_inarrivo2', 'class="inputbox" size="1"', 'value', 'text', $cin_inarrivo2 );
	     echo $si_cin_anoncomment;
	      ?>
		<?php echo $CINEMA->ADMCINEMA_BOX010; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="30%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_NFILMARRIVO3; ?></strong></td>
      <?php echo "<td align='left' width='70%' valign='top'><input type='text' size='4' maxlength='4' name='cin_inarrivocount' value='$cin_inarrivocount'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_NFILMARRIVO4; ?></td>
    </tr>
	</table>


  <table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
		<tr><th colspan="2"><?php echo $CINEMA->ADMCINEMA_SET006; ?></th></tr>
    <tr align="center" valign="middle">
      <td width="30%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_LARGHLOC; ?></strong></td>
      <?php echo "<td align='left' width='70%' valign='top'><input type='text' size='4' maxlength='4' name='cin_locandina' value='$cin_locandina'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_LARGHLOC2; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="30%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_CARAT001; ?></strong></td>
      <?php echo "<td align='left' width='70%' valign='top'><input type='text' size='4' maxlength='4' name='cin_inarrivotitolo' value='$cin_inarrivotitolo'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_CARAT002; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="30%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_CARAT003; ?></strong></td>
      <?php echo "<td align='left' width='70%' valign='top'><input type='text' size='4' maxlength='4' name='cin_testolista' value='$cin_testolista'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_CARAT004; ?></td>
    </tr>

		<tr><th colspan="2"><?php echo $CINEMA->ADMCINEMA_SET010; ?></th></tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_DATEFORMAT001; ?></strong></td>
      <td align="left" width='80%'  valign="top">
	<?php
		$date[] = mosHTML::makeOption( '%d.%B.%Y', $CINEMA->ADMCINEMA_DATEFORMAT002 );
		$date[] = mosHTML::makeOption( '%d.%b.%Y', $CINEMA->ADMCINEMA_DATEFORMAT003 );
		$date[] = mosHTML::makeOption( '%d.%b.%y', $CINEMA->ADMCINEMA_DATEFORMAT004 );
		$date[] = mosHTML::makeOption( '%a %d %B %Y', $CINEMA->ADMCINEMA_DATEFORMAT005 );
		$date[] = mosHTML::makeOption( '%a %d %b %Y', $CINEMA->ADMCINEMA_DATEFORMAT006 );
		$date[] = mosHTML::makeOption( '%a %d %B %y', $CINEMA->ADMCINEMA_DATEFORMAT007 );
		$date[] = mosHTML::makeOption( '%a %d %b %y', $CINEMA->ADMCINEMA_DATEFORMAT008 );
		$date[] = mosHTML::makeOption( '%A %d %B %Y', $CINEMA->ADMCINEMA_DATEFORMAT009 );
		$date[] = mosHTML::makeOption( '%A %d %b %Y', $CINEMA->ADMCINEMA_DATEFORMAT010 );
		$date[] = mosHTML::makeOption( '%A %d %B %y', $CINEMA->ADMCINEMA_DATEFORMAT011 );
		$date[] = mosHTML::makeOption( '%A %d %b %y', $CINEMA->ADMCINEMA_DATEFORMAT012 );
		$date[] = mosHTML::makeOption( '%a %d.%m.%Y', $CINEMA->ADMCINEMA_DATEFORMAT013 );
		$date[] = mosHTML::makeOption( '%A %d.%m.%y', $CINEMA->ADMCINEMA_DATEFORMAT014 );
		$date[] = mosHTML::makeOption( '%a %m.%d.%Y', $CINEMA->ADMCINEMA_DATEFORMAT015 );
		$date[] = mosHTML::makeOption( '%A %m.%d.%y', $CINEMA->ADMCINEMA_DATEFORMAT016 );
		$date[] = mosHTML::makeOption( '%B.%d.%Y', $CINEMA->ADMCINEMA_DATEFORMAT017 );
		$date[] = mosHTML::makeOption( '%b.%d.%Y', $CINEMA->ADMCINEMA_DATEFORMAT018 );
		$date[] = mosHTML::makeOption( '%b.%d.%y', $CINEMA->ADMCINEMA_DATEFORMAT019 );
		$date[] = mosHTML::makeOption( '%d.%m.%Y', '27 01 1961' );
		$date[] = mosHTML::makeOption( '%d.%m.%y', '27 01 61' );
		$date[] = mosHTML::makeOption( '%m.%d.%Y', '01 27 1961' );
		$date[] = mosHTML::makeOption( '%m.%d.%y', '01 27 61' );
		$dt_cin_dateformat = mosHTML::selectList( $date, 'cin_dateformat', 'class="inputbox"', 'value', 'text', $cin_dateformat );
		echo $dt_cin_dateformat;
	?>
      <?php echo $CINEMA->ADMCINEMA_DATEFORMAT020; ?></td>
    </tr>
 </table>
 </div>

 <!-- ******************************* FINE LAYOUT PAGE ********************************************* -->
  	<?php
 		$cinema1tabs->endTab();
 		$cinema1tabs->startTab($CINEMA->ADMCINEMA_CSS,"css-page");
 	?>
 <!-- ******************************* INIZIO CSS PAGE ********************************************* -->
	<div>
  <table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
		<tr><th colspan="2"><?php echo $CINEMA->ADMCINEMA_SET009; ?></th></tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE017; ?></strong></td>
      <?php echo "<td align='left' valign='top'><input type='text' size='25' name='cin_header' value='$cin_header'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_STILE018; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE019; ?></strong></td>
      <?php echo "<td align='left' valign='top'><input type='text' size='25' name='cin_line' value='$cin_line'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_STILE020; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE021; ?></strong></td>
      <?php echo "<td align='left' valign='top'><input type='text' size='25' name='cin_line1' value='$cin_line1'>"; ?>
      <?php echo $CINEMA->ADMCINEMA_STILE022; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE001; ?></strong></td>
      <td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_cinema"><?php echo "$cin_cinema"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_STILE002; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE003; ?></strong></td>
      <td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_cinema2"><?php echo "$cin_cinema2"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_STILE004; ?></td>
    </tr>
     <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE005; ?></strong></td>
      <td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_cinema3"><?php echo "$cin_cinema3"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_STILE006; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE007; ?></strong></td>
      <td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_cinema4"><?php echo "$cin_cinema4"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_STILE008; ?></td>
 		</tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE009; ?></strong></td>
      <td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_blockquote"><?php echo "$cin_blockquote"; ?></textarea>
	  <?php echo $CINEMA->ADMCINEMA_STILE010; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE011; ?></strong></td>
      <td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_legendtitle"><?php echo "$cin_legendtitle"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_STILE012; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE013; ?></strong></td>
      <td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_legend"><?php echo "$cin_legend"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_STILE014; ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td width="20%" align="left" valign="top"><strong><?php echo $CINEMA->ADMCINEMA_STILE015; ?></strong></td>
      <td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_fieldset"><?php echo "$cin_fieldset"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_STILE016; ?></td>
    </tr>
 </table>
 </div>
	<!-- ******************************* FINE CSS PAGE ********************************************* -->

 <?php
		$cinema1tabs->endTab();
		$cinema1tabs->startTab($CINEMA->ADMCINEMA_METADATA,"meta-page");
	?>

	<!-- ******************************* INIZIO META PAGE ********************************************* -->

	<div>
	<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
		<tr><th colspan="2"><?php echo $CINEMA->ADMCINEMA_SET008; ?></th></tr>
    <tr valign="middle">
      <td valign="top"><strong><?php echo $CINEMA->ADMCINEMA_DESCRIPTION; ?></strong></td>
      <td align="left" valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_description"><?php echo "$cin_description"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_METADATA001; ?></td>
    </tr>
		<tr valign="middle">
      <td valign="top"><strong><?php echo $CINEMA->ADMCINEMA_KEYWORDS; ?></strong></td>
      <td align="left" valign="top"><textarea class="inputbox" cols="40" rows="3" name="cin_keywords"><?php echo "$cin_keywords"; ?></textarea>
      <?php echo $CINEMA->ADMCINEMA_METADATA002; ?></td>
    </tr>
	 </table>
	 </div>

	 	<!-- ******************************* FINE META PAGE ********************************************* -->

    <?php
    $cinema1tabs->endTab();
  	$cinema1tabs->endPane();
  	?>
  <input type="hidden" name="option" value="<?php echo $option; ?>">
  <input type="hidden" name="act" value="<?php echo $act; ?>">
  <input type="hidden" name="task" value="">
  <input type="hidden" name="boxchecked" value="0">
</form>
<br />
<br />
<br />
<?php
}

function saveConfig ($option, $cin_pathimages, $cin_paththumbs, $cin_thumbcreation,
$cin_thumbwidth, $cin_thumbquality, $cin_showdetail, $cin_showrating, $cin_showcomment,
$cin_anoncomment, $cin_perpage, $cin_maxvoting, $cin_toplist, $cin_bbcodesupport,
$cin_testolista, $cin_cinema, $cin_cinema2, $cin_cinema3, $cin_cinema4, $cin_blockquote,
$cin_legendtitle, $cin_legend, $cin_fieldset, $cin_header, $cin_line, $cin_line1, $cin_dateformat,
$cin_altri, $cin_altri1, $cin_acaso,$cin_locandina, $cin_inarrivo, $cin_inarrivo1, $cin_inarrivo2,
$cin_inarrivocount, $cin_inarrivocinemacount, $cin_inarrivotitolo, $cin_keywords, $cin_description) {
global $CINEMA;
  $configfile = "components/com_cinema/config.cinema.php";
  @chmod ($configfile, 0766);
  $permission = is_writable($configfile);
  if (!$permission) {
    $mosmsg = "File configurazione non scrivibile";
    mosRedirect("index2.php?option=$option&act=config",$mosmsg);
    break;
  }

  $config = "<?php\n";
  $config .= "\$cin_pathimages = \"$cin_pathimages\";\n";
  $config .= "\$cin_paththumbs = \"$cin_paththumbs\";\n";
  $config .= "\$cin_thumbcreation = \"$cin_thumbcreation\";\n";
  $config .= "\$cin_thumbwidth = \"$cin_thumbwidth\";\n";
  $config .= "\$cin_thumbquality = \"$cin_thumbquality\";\n";
  $config .= "\$cin_showdetail = \"$cin_showdetail\";\n";
  $config .= "\$cin_showrating = \"$cin_showrating\";\n";
  $config .= "\$cin_showcomment = \"$cin_showcomment\";\n";
  $config .= "\$cin_anoncomment = \"$cin_anoncomment\";\n";
  $config .= "\$cin_perpage = \"$cin_perpage\";\n";
  $config .= "\$cin_maxvoting = \"$cin_maxvoting\";\n";
  $config .= "\$cin_toplist = \"$cin_toplist\";\n";
  $config .= "\$cin_bbcodesupport = \"$cin_bbcodesupport\";\n";
  $config .= "\$cin_testolista = \"$cin_testolista\";\n";
  $config .= "\$cin_cinema = \"$cin_cinema\";\n";
  $config .= "\$cin_cinema2 = \"$cin_cinema2\";\n";
  $config .= "\$cin_cinema3 = \"$cin_cinema3\";\n";
  $config .= "\$cin_cinema4 = \"$cin_cinema4\";\n";
  $config .= "\$cin_blockquote = \"$cin_blockquote\";\n";
  $config .= "\$cin_legendtitle = \"$cin_legendtitle\";\n";
  $config .= "\$cin_legend = \"$cin_legend\";\n";
  $config .= "\$cin_fieldset = \"$cin_fieldset\";\n";
  $config .= "\$cin_header = \"$cin_header\";\n";
  $config .= "\$cin_line = \"$cin_line\";\n";
  $config .= "\$cin_line1 = \"$cin_line1\";\n";
  $config .= "\$cin_altri = \"$cin_altri\";\n";
  $config .= "\$cin_altri1 = \"$cin_altri1\";\n";
  $config .= "\$cin_dateformat = \"$cin_dateformat\";\n";
  $config .= "\$cin_acaso = \"$cin_acaso\";\n";
  $config .= "\$cin_locandina = \"$cin_locandina\";\n";
  $config .= "\$cin_inarrivo = \"$cin_inarrivo\";\n";
  $config .= "\$cin_inarrivo1 = \"$cin_inarrivo1\";\n";
  $config .= "\$cin_inarrivo2 = \"$cin_inarrivo2\";\n";
  $config .= "\$cin_inarrivocount = \"$cin_inarrivocount\";\n";
  $config .= "\$cin_inarrivocinemacount = \"$cin_inarrivocinemacount\";\n";
  $config .= "\$cin_inarrivotitolo = \"$cin_inarrivotitolo\";\n";
  $config .= "\$cin_description = \"$cin_description\";\n";
  $config .= "\$cin_keywords = \"$cin_keywords\";\n";
  $config .= "?>";

  if ($fp = fopen("$configfile", "w")) {
    fputs($fp, $config, strlen($config));
    fclose ($fp);
  }
  mosRedirect("index2.php?option=$option&task=settings", $CINEMA->ADMCINEMA_COMANDO005 );
}


function publishComment( $cid=null, $publish=1,  $option ) {
  global $database;

  if (!is_array( $cid ) || count( $cid ) < 1) {
    $action = $publish ? 'pubblicare' : 'sospendere';
    echo "<script> alert('seleziona un elemento da $action'); window.history.go(-1);</script>\n";
    exit;
  }

  $cids = implode( ',', $cid );

  $database->setQuery( "UPDATE #__cinema_comments SET published='$publish' WHERE cmtid IN ($cids)" );
  if (!$database->query()) {
    echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
    exit();
  }

  mosRedirect( "index2.php?option=$option&task=comments" );
}

function removeComment( $cid, $option ) {
  global $database;
  if (!is_array( $cid ) || count( $cid ) < 1) {
    echo "<script> alert( 'seleziona un elemento da cancellare' ); window.history.go(-1);</script>\n";
    exit;
  }
  if (count( $cid )) {
    $cids = implode( ',', $cid );
    $database->setQuery( "DELETE FROM #__cinema_comments WHERE cmtid IN ($cids)" );
    if (!$database->query()) {
      echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
    }
  }
  mosRedirect( "index2.php?option=$option&task=comments" );
}

function showComments( $option ) {
  global $database;

  # Prepare pagelimit choices
  $limit = intval( mosGetParam( $_POST, 'limit', 10 ) );
  $limitstart = intval( mosGetParam( $_POST, 'limitstart', 0 ) );

  # Prepare search choices
  $search = trim( strtolower( mosGetParam( $_POST, 'search', '' ) ) );
  $where = array();
  if ($search) {
    $where[] = "LOWER(cmttext) LIKE '%$search%' OR LOWER(cmtname) LIKE '%$search%' ";
  }

  # Get total number of records
  $database->setQuery( "SELECT count(*) FROM #__cinema_comments AS a".(count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "") );
  $total = $database->loadResult();
  echo $database->getErrorMsg();
  if ($limit > $total) {
    $limitstart = 0;
  }

  # Do the main database query
  $database->setQuery( "SELECT * FROM #__cinema_comments "
    . (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
    . "\nORDER BY cmtdate DESC"
    . "\nLIMIT $limitstart,$limit"
  );
  $rows = $database->loadObjectList();
  if ($database->getErrorNum()) {
    echo $database->stderr();
    return false;
  }

  # Set up page navigation
  include_once( "includes/pageNavigation.php" );
  $pageNav = new mosPageNav( $total, $limitstart, $limit  );

  # Bring it all to the screen
  HTML_cinema::showComments( $option, $rows, $search, $pageNav );
}

?>